#import <AppKit/AppKit.h>
 
@interface ITKCommandTextView : NSTextView
{
    unsigned       commandStart;
    NSDictionary   *commandAttributes, *outputAttributes;
    NSMutableArray *history;
    int            historyPos;
    BOOL	   modal;
}

- (NSDictionary *) commandAttributes;
- (void) setCommandAttributes: (NSDictionary *) attr;
- (NSDictionary *) outputAttributes;
- (void) setOutputAttributes: (NSDictionary *) attr;

- (NSArray *) history;

- (NSString *) command;
- (NSString *) modalCommand;
- (NSRange) commandRange;
- (BOOL) commandIsModal;

- (void) replaceCommandWithString: (NSString *) string;
- (void) output: (NSString *) string;

@end

@interface NSObject (ITKCommandTextViewDelegate)

- (BOOL) commandTextView: (ITKCommandTextView *) commandTextView
     willCompleteCommand: (NSString *) command;

- (void) commandTextView: (ITKCommandTextView *) commandTextView
      didCompleteCommand: (NSString *) command;

@end
