/*
  see the accompanying README file for explanations
*/

#import <AppKit/AppKit.h>

@interface Thermometer : NSObject
{
	float temperature; /* in celsius */
}

+ (Thermometer *) defaultThermometer;

- init;
- (void) setTemperature: (float) aCelsiusTemperature;
- (float) temperature;
- (void) setTemperatureInFahrenheit: (float) aFahrenheitTemperature;
- (float) temperatureInFahrenheit;
@end


@implementation Thermometer

Thermometer *defaultThermometer;


+ defaultThermometer
{
	return defaultThermometer;
}


- init
{
	[super init];
	temperature = -272.0;
	return self;
}


- (void) setTemperature: (float) aCelsiusTemperature
{
	temperature = aCelsiusTemperature;
}


- (float) temperature
{
	return temperature;
}


- (void) setTemperatureInFahrenheit: (float) aFahrenheitTemperature
{
	temperature = (aFahrenheitTemperature - 32) / 1.8;
}


- (float) temperatureInFahrenheit
{
    return temperature * 1.8 + 32;
}

@end

#ifdef WIN32
__declspec(dllexport)
#endif
int Thermometer_Init(void *dummy)
{
	defaultThermometer = [[Thermometer alloc] init];
	return 0;
}
