###############################################################################
#
# (C) 1994 AAA+ Software Forschungs- & Entwicklungs-GmbH.
# All rights reserved.
#
#$Source$
# 
#$Author$
#$Date$
#$Revision$
#$State$
#$Locker$
# 
#$Log$
###############################################################################
#
# DESCRIPTION:
#
# Tcl code sourced into any app by the joySnoop bundle.
#
###############################################################################

set objc:idCheckingEnabled 2

#######################################################################
# 			    Menu entries
#######################################################################

# Create Joy menu ...
set _joyMenu [[NSMenu alloc] initWithTitle: [@ Joy]]
# ... and make it submenu of the mainMenu
if {$tcl_platform(os) == "OPENSTEP"} {
    set _item [[$NSApp mainMenu] insertItemWithTitle: [@ Joy] action: 0 keyEquivalent: [@ ""] atIndex: 0]
} else {
    set _item [[$NSApp mainMenu] addItemWithTitle: [@ Joy] action: 0 keyEquivalent: [@ ""]]
}
[$NSApp mainMenu] setSubmenu: $_joyMenu forItem: $_item
$_item setEnabled: [YES]
$_item setMnemonicLocation: 0

# Add the entries in Joy menu.

# Create Info menu ...
set _infoMenu [[NSMenu alloc] initWithTitle: [@ Info]]
# ... and make it submenu of the Joy menu
set _item [$_joyMenu \
             addItemWithTitle: [@ Info] \
		       action: 0 \
		keyEquivalent: [@ ""]]
$_joyMenu setSubmenu: $_infoMenu forItem: $_item
$_item setEnabled: [YES]
$_item setMnemonicLocation: 0

if {$tcl_platform(os) == "OPENSTEP"} {
    set _infoPanelTitle "Info Panel..."
} else {
    set _infoPanelTitle "About Joy..."
}	
set _item [$_infoMenu \
		addItemWithTitle: [@ $_infoPanelTitle] \
			  action: showInfoPanel: \
		   keyEquivalent: [@ ""]]
$_item setTarget: [JoyOrderController sharedController]
$_item setEnabled: [YES]
$_item setMnemonicLocation: 0
unset _infoPanelTitle

set _item [$_infoMenu \
		addItemWithTitle: [@ "Order..."] \
			  action: showOrderPanel: \
		   keyEquivalent: [@ ""]]
$_item setTarget: [JoyOrderController sharedController]
$_item setEnabled: [YES]
$_item setMnemonicLocation: 0

set _item [$_infoMenu \
		addItemWithTitle: [@ "Register..."] \
			  action: runRegistrationPanel: \
		   keyEquivalent: [@ ""]]
$_item setTarget: [JoyRegistrationController sharedController]
$_item setEnabled: [YES]
$_item setMnemonicLocation: 0

set _item [$_infoMenu \
		addItemWithTitle: [@ "License Status..."] \
			  action: showRegistrationStatus: \
		   keyEquivalent: [@ ""]]
$_item setTarget: [JoyRegistrationController sharedController]
$_item setEnabled: [YES]
$_item setMnemonicLocation: 0

set _item [$_joyMenu \
		addItemWithTitle: [@ "Command Window..."] \
			  action: showCommandWindow: \
		   keyEquivalent: [@ J]]
$_item setTarget: $mainInterp
$_item setEnabled: [YES]
$_item setMnemonicLocation: 8

set _item [$_joyMenu \
		addItemWithTitle: [@ "Save Commands..."] \
			  action: saveCommands: \
		   keyEquivalent: [@ ""]]
$_item setTarget: $mainInterp
$_item setEnabled: [YES]
$_item setMnemonicLocation: 0

set _item [$_joyMenu \
		addItemWithTitle: [@ "Clear Command Window"] \
			  action: clearCommandWindow: \
		   keyEquivalent: [@ k]]
$_item setTarget: $mainInterp
$_item setEnabled: [YES]
$_item setMnemonicLocation: 0

unset _item
unset _infoMenu
unset _joyMenu

#######################################################################
# 			    User Startup
########################################################################

if {[file readable ~/.joySnoopInit.tcl]} {
    if {[catch {source ~/.joySnoopInit.tcl} msg]} {
	puts ".joySnoopInit.tcl: $msg"
    }
}
